#
# spec file for package prometheus-formula
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fname prometheus
%define fdir  %{_datadir}/susemanager/formulas
Name:           prometheus-formula
Version:        0.7.0
Release:        220400.1.1.uyuni2
Summary:        Salt formula for installing and configuring Prometheus monitoring system
License:        Apache-2.0
Group:          System/Packages
Url:            https://github.com/SUSE/salt-formulas
Source:         prometheus-formula-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Salt formula for installing and configuring Prometheus monitoring system.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{fdir}/states/%{fname}
mkdir -p %{buildroot}%{fdir}/metadata/%{fname}
cp -R prometheus/* %{buildroot}%{fdir}/states/%{fname}
cp -R metadata/* %{buildroot}%{fdir}/metadata/%{fname}

%files
%defattr(-,root,root)
%doc README.md
%license LICENSE
%dir %{_datadir}/susemanager
%dir %{fdir}
%dir %{fdir}/states
%dir %{fdir}/metadata
%{fdir}/states/%{fname}
%{fdir}/metadata/%{fname}

%changelog
* Thu Nov  3 2022 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.7.0
  * Switch from basic authentication to TLS certificate client
    authentication for Blackbox exporter
  * Fix scheme label in clients targets configration
  * Add README.md
* Thu May  5 2022 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.6.2
  * Allow prometheus-formula only for SUSE systems (bsc#1199149)
* Fri Feb 25 2022 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.6.1
  * Fix checking available package version (bsc#1196489)
* Tue Feb  8 2022 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.6.0
  * Add support for new Uyuni SD in Prometheus >= 2.31
  * Fix Blackbox exporter configuration for Prometheus >= 2.31
* Tue Oct 12 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.5.1
  * Fix opening Prometheus ports on proxy
* Tue Sep 14 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.5.0
  * Add Prometheus targets configuration for minions SSH probing
  * Add blackbox exporter
  * Open Prometheus ports (bsc#1191144)
* Wed Jul  7 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.4.1
- Add docs stings in file SD UI
* Tue May  4 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.4.0
- Add TLS support for node exporter targets
- Add TLS support for Prometheus server
* Fri Feb  5 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.3.1
- Set server hostname from pillar data (bsc#1180439)
* Thu Oct 29 2020 Witek Bedyk <witold.bedyk@suse.com>
- Update to version 0.3.0
- Disable Alertmanager clustering (bsc#1178145)
* Fri Oct  2 2020 Witek Bedyk <witold.bedyk@suse.com>
- Use variable for product name
* Thu Apr 23 2020 Witek Bedyk <witold.bedyk@suse.com>
- Update to version 0.2.1
- Bugfix: Check for non-empty credentials (bsc#1168805)
* Tue Mar 31 2020 Witek Bedyk <witold.bedyk@suse.com>
- Update to version 0.2
- Add meta-monitoring configuration
* Tue Mar 24 2020 Witek Bedyk <witold.bedyk@suse.com>
- Add federation configuration
* Mon Dec  9 2019 malbu@suse.com
- Bugfix: disabled fields not enabled when checkbox is checked
* Tue Oct 15 2019 malbu@suse.com
- Initial version of prometheus-formula
